/**
 * DESCRIPTION OF THE FILE
 *
 * @author Michal Kravčenko
 * @date 4.7.18 -
 */

#include "FunctionCosine.h"

FunctionCosine::FunctionCosine(double period, double bias) {
    this->period = period;
    this->bias = bias;
}

double FunctionCosine::eval(double x) {
    return std::cos(x * this->period + this->bias);
}

FunctionBase* FunctionCosine::get_derivative() {

    if(!this->derivative){
        this->derivative = new FunctionSine();
    }

    return this->derivative;
}