/**
 * DESCRIPTION OF THE FILE
 *
 * @author Michal Kravčenko
 * @date 4.7.18 -
 */

#ifndef INC_4NEURO_FUNCTIONBASE_H
#define INC_4NEURO_FUNCTIONBASE_H


class FunctionBase {
public:

    FunctionBase();

    virtual ~FunctionBase();

    virtual double eval(double x) = 0;

    virtual FunctionBase* get_derivative() = 0;

protected:

    FunctionBase* derivative = nullptr;

private:
};


#endif //INC_4NEURO_FUNCTIONBASE_H
