/**
 * DESCRIPTION OF THE FILE
 *
 * @author Michal Kravčenko
 * @date 4.7.18 -
 */

#ifndef INC_4NEURO_FUNCTIONCOSINE_H
#define INC_4NEURO_FUNCTIONCOSINE_H

#include <cmath>

#include "FunctionBase.h"

#include "FunctionSine.h"


class FunctionCosine: FunctionBase {
public:
    FunctionCosine(double period, double bias);

    double eval(double x);

    FunctionBase* get_derivative();

private:

    double period = 0.0;

    double bias = 0.0;
};


#endif //INC_4NEURO_FUNCTIONCOSINE_H
